<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/rl_login_conten"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ImageView
        android:id="@+id/bg_login"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:scaleType="centerCrop"
        android:src="@drawable/user_bg_login" />

    <ImageView
        android:id="@+id/img_reg_back"
        android:layout_width="31dp"
        android:layout_height="31dp"
        android:layout_marginLeft="20dp"
        android:layout_marginTop="20dp"
        android:scaleType="fitXY"
        android:src="@drawable/user_ic_back_grey" />

    <TextView
        android:id="@+id/tv_skip"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentRight="true"
        android:layout_marginTop="15dp"
        android:layout_marginRight="23dp"
        android:padding="5dp"
        android:text="跳过"
        android:textColor="#2EB0FF"
        android:textSize="11dp"
        android:visibility="gone"
        tools:visibility="visible" />

    <TextView
        android:id="@+id/tv_reg_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/img_reg_back"
        android:layout_marginLeft="28dp"
        android:layout_marginTop="15dp"
        android:text="登录/注册"
        android:textColor="#fdfdfe"
        android:textSize="28dp"
        android:textStyle="bold" />

    <TextView
        android:id="@+id/tv_des"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/tv_reg_title"
        android:layout_marginLeft="28dp"
        android:layout_marginTop="6.5dp"
        android:fontFamily="sans-serif-light"
        android:text="继续即代表您同意"
        android:textColor="#fdfdfe"
        android:textSize="13sp" />

    <TextView
        android:id="@+id/tv_protocol"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignBaseline="@+id/tv_des"
        android:layout_toRightOf="@+id/tv_des"
        android:text="《壹点灵用户使用协议》"
        android:textColor="#fdfdfe"
        android:textSize="13sp" />

    <RelativeLayout
        android:id="@+id/card_view"
        android:layout_width="match_parent"
        android:layout_height="213dp"
        android:layout_below="@+id/tv_des"
        android:layout_centerInParent="true"
        android:layout_marginLeft="28dp"
        android:layout_marginTop="30dp"
        android:layout_marginRight="28dp"
        android:background="@drawable/user_card_login"
        android:orientation="vertical">

        <LinearLayout
            android:id="@+id/input_ll_bar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="60dp"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingLeft="15dp"
            android:paddingRight="15dp"
            tools:background="@color/blue">

            <LinearLayout
                android:id="@+id/ll_country"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@drawable/user_bg__choose_country_radius"
                android:gravity="center_vertical"
                android:paddingLeft="7dp"
                android:paddingTop="4dp"
                android:paddingRight="7dp"
                android:paddingBottom="4dp">

                <ImageView
                    android:id="@+id/iv_country_icon"
                    android:layout_width="23dp"
                    android:layout_height="16dp"
                    android:layout_gravity="center_vertical"
                    android:scaleType="centerCrop"
                    android:src="@drawable/user_ic_china" />

                <TextView
                    android:id="@+id/tv_country_code"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center_vertical"
                    android:layout_marginLeft="4dp"
                    android:maxLines="1"
                    android:text="+86"
                    android:textColor="#666666"
                    android:textSize="14sp"
                    android:textStyle="bold" />

            </LinearLayout>

            <com.ydl.ydlcommon.view.PhoneEditText
                android:id="@+id/et_phone_number"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginLeft="10dp"
                android:layout_weight="1"
                android:background="@null"
                android:gravity="center_vertical|left"
                android:inputType="phone"
                android:lines="1"
                android:maxLength="13"
                android:textColorHint="@color/platform_color_c6c3c3"
                android:textSize="24sp" />

            <ImageView
                android:id="@+id/iv_del"
                android:layout_width="23dp"
                android:layout_height="23dp"
                android:layout_gravity="center_vertical"
                android:padding="5dp"
                android:scaleType="fitXY"
                android:src="@drawable/user_ic_del"
                android:visibility="invisible" />
        </LinearLayout>

        <View
            android:id="@+id/view_lin"
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_below="@+id/input_ll_bar"
            android:layout_marginLeft="15dp"
            android:layout_marginTop="20dp"
            android:layout_marginRight="15dp"
            android:background="#e8e8e8" />

        <ImageView
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:layout_alignParentBottom="true"
            android:layout_centerInParent="true"
            android:layout_marginBottom="13dp"
            android:src="@drawable/user_next_border" />

        <RelativeLayout
            android:layout_width="60dp"
            android:layout_height="60dp"
            android:layout_alignParentBottom="true"
            android:layout_centerInParent="true"
            android:layout_marginBottom="13dp"
            android:background="@drawable/user_bg_radius_bule"
            android:elevation="10dp"
            android:gravity="center">

            <ImageView
                android:id="@+id/iv_next"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_alignParentBottom="true"
                android:layout_centerInParent="true"
                android:padding="18sp"
                android:scaleType="centerCrop"
                android:src="@drawable/user_ic_next" />

            <ProgressBar
                android:id="@+id/pb_Normal"
                android:layout_width="62dp"
                android:layout_height="62dp"
                android:indeterminateTint="#ffffff"
                android:padding="10dp"
                android:visibility="gone" />
        </RelativeLayout>
    </RelativeLayout>


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="70dp"
        android:gravity="center">

        <ImageView
            android:id="@+id/iv_weixin"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:contentDescription="@null"
            android:scaleType="centerCrop"
            android:src="@drawable/user_login_weixin" />

        <ImageView
            android:id="@+id/iv_qq"
            android:layout_width="42dp"
            android:layout_height="42dp"
            android:layout_marginLeft="30dp"
            android:contentDescription="@null"
            android:scaleType="centerCrop"
            android:src="@drawable/user_login_qq"
            android:visibility="visible" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_success"
        android:layout_width="match_parent"
        android:layout_height="64dp"
        android:background="#fff"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="20dp">

            <ImageView
                android:layout_width="16dp"
                android:layout_height="16dp"
                android:src="@drawable/user_ic_log_succee" />

            <TextView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="6dp"
                android:text="登录成功!"
                android:textColor="#32D296"
                android:textSize="13dp"
                android:textStyle="bold" />
        </LinearLayout>

        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="35dp"
            android:text="您已通过阿里云号码认证服务，一键登录更安全。"
            android:textColor="#666666"
            android:textSize="13dp" />
    </LinearLayout>

</RelativeLayout>
